dlaswp.f(3)

NAME
dlaswp.f -

SYNOPSIS

  Functions/Subroutines
subroutine DLASWP (N, A, LDA, K1, K2, IPIV, INCX)
DLASWP

Function/Subroutine Documentation

  subroutine DLASWP (INTEGERN, DOUBLE PRECISION, dimension( lda, * )A, INTEGERLDA, INTEGERK1, INTEGERK2, INTEGER, dimension( * )IPIV, INTEGERINCX)

DLASWP

Purpose:

     DLASWP performs a series of row interchanges on the matrix A.
     One row interchange is initiated for each of rows K1 through K2 of A.

Parameters:
    N

              N is INTEGER
              The number of columns of the matrix A.

    A

              A is DOUBLE PRECISION array, dimension (LDA,N)
              On entry, the matrix of column dimension N to which the row
              interchanges will be applied.
              On exit, the permuted matrix.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.

    K1

              K1 is INTEGER
              The first element of IPIV for which a row interchange will
              be done.

    K2

              K2 is INTEGER
              The last element of IPIV for which a row interchange will
              be done.

    IPIV

              IPIV is INTEGER array, dimension (K2*abs(INCX))
              The vector of pivot indices.  Only the elements in positions
              K1 through K2 of IPIV are accessed.
              IPIV(K) = L implies rows K and L are to be interchanged.

    INCX

              INCX is INTEGER
              The increment between successive values of IPIV.  If IPIV
              is negative, the pivots are applied in reverse order.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Further Details:

      Modified by
       R. C. Whaley, Computer Science Dept., Univ. of Tenn., Knoxville, USA

Definition at line 115 of file dlaswp.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.